{
  lib,
  pkgs,
  ...
}:
with lib; {
  systemd.services.wiki-js = {
    requires = ["postgresql.service"];
    after = ["postgresql.service"];
  };

  services = {
    nginx = {
      virtualHosts."food.posixlycorrect.com" = {
        enableACME = true;
        forceSSL = true;
        extraConfig = ''
          proxy_headers_hash_max_size 512;
          proxy_headers_hash_bucket_size 128;
        '';
        locations."/" = {
          proxyPass = "http://127.0.0.1:9000";
        };
      };
    };

    mealie = {
      enable = true;
      listenAddress = "127.0.0.1";
      port = 9000;
      credentialsFile = "/var/trust/mealie/credentials.env";
      settings = {
        ALLOW_SIGNUP = "false";
      };
    };
  };
}
